List Public GIFs
curl --request GET \
--url https://api.snipp.gg/gifsimport requests
url = "https://api.snipp.gg/gifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.snipp.gg/gifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snipp.gg/gifs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snipp.gg/gifs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snipp.gg/gifs")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snipp.gg/gifs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"posts": [
{
"code": "GiFs4242",
"url": "https://snipp.gg/p/GiFs4242",
"title": "Nice loop",
"description": null,
"privacy": "public",
"created_at": "2026-09-29T21:03:44.019Z",
"view_count": 128,
"like_count": 9,
"comment_count": 0,
"priority": false,
"file_count": 1,
"files": [
{
"name": "e5f6789012345678abcdef0102030405.gif",
"url": "https://i.snipp.gg/987654321098765432/e5f6789012345678abcdef0102030405.gif",
"size": 3145728,
"mime_type": "image/gif",
"width": 480,
"height": 270,
"thumbnail_url": null
}
],
"team_id": null,
"author": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"liked": false
}
],
"has_more": true,
"next_cursor": "eyJ0IjoiMjAyNi0wOS0yOVQyMTowMzo0NC4wMTlaIiwiayI6IkdpRnM0MjQyIn0"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}Posts
List Public GIFs
Public posts whose first file is a GIF, newest first. No key required.
GET
/
gifs
List Public GIFs
curl --request GET \
--url https://api.snipp.gg/gifsimport requests
url = "https://api.snipp.gg/gifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.snipp.gg/gifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snipp.gg/gifs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snipp.gg/gifs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snipp.gg/gifs")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snipp.gg/gifs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"posts": [
{
"code": "GiFs4242",
"url": "https://snipp.gg/p/GiFs4242",
"title": "Nice loop",
"description": null,
"privacy": "public",
"created_at": "2026-09-29T21:03:44.019Z",
"view_count": 128,
"like_count": 9,
"comment_count": 0,
"priority": false,
"file_count": 1,
"files": [
{
"name": "e5f6789012345678abcdef0102030405.gif",
"url": "https://i.snipp.gg/987654321098765432/e5f6789012345678abcdef0102030405.gif",
"size": 3145728,
"mime_type": "image/gif",
"width": 480,
"height": 270,
"thumbnail_url": null
}
],
"team_id": null,
"author": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"liked": false
}
],
"has_more": true,
"next_cursor": "eyJ0IjoiMjAyNi0wOS0yOVQyMTowMzo0NC4wMTlaIiwiayI6IkdpRnM0MjQyIn0"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}Browse public GIFs across Snipp, newest first. No key required.
Behavior
- Returns public posts whose first file is a
.gif. Unlisted, private, draft, moderated, restricted and team posts are excluded, as are posts by suspended users. - Each item is a full post object.
likedis alwaysfalse, since the request is anonymous. - Results are paginated: pass
limit(1 to 100, default 30) and the previous page’snext_cursorascursor. searchmatches the start of words in the title or description, case-insensitively.kittmatches “kitty” and “kitten” but not “skittle”.- Several words must all match, in any order. Up to 6 words are used.
- With a narrow
search, a page can hold fewer thanlimitposts whilehas_moreis stilltrue. Keep followingnext_cursoruntilhas_moreisfalse. - Rate limited per IP: 60 requests per minute.
Examples
curl "https://api.snipp.gg/gifs?limit=50"
curl "https://api.snipp.gg/gifs?search=kitty%20cat"
Responses
{
"posts": [
{
"code": "GiFs4242",
"url": "https://snipp.gg/p/GiFs4242",
"title": "Nice loop",
"description": null,
"privacy": "public",
"created_at": "2026-09-29T21:03:44.019Z",
"view_count": 128,
"like_count": 9,
"comment_count": 0,
"priority": false,
"file_count": 1,
"files": [
{
"name": "e5f6789012345678abcdef0102030405.gif",
"url": "https://i.snipp.gg/987654321098765432/e5f6789012345678abcdef0102030405.gif",
"size": 3145728,
"mime_type": "image/gif",
"width": 480,
"height": 270,
"thumbnail_url": null
}
],
"team_id": null,
"author": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"liked": false
}
],
"has_more": true,
"next_cursor": "eyJ0IjoiMjAyNi0wOS0yOVQyMTowMzo0NC4wMTlaIiwiayI6IkdpRnM0MjQyIn0"
}
Errors
| Status | Type | When |
|---|---|---|
400 | invalid_request | Invalid limit or cursor |
429 | rate_limited | More than 60 requests per minute from your IP |
Query Parameters
Words to match at word starts in the title or description. Up to 6 words.
Items per page, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.